#1671 closed defect (fixed)

rtems_panic() in gxx wrappers

Reported by: Sebastian Huber Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The file gxx_wrappers.c contains the mutex implementation used by the C++
part of GCC. It uses rtems_panic() to handle fatal errors. This is quite bad
for targets with limited resources since this pulls in the C IO library via
fprintf(). Also the functions rtems_panic() and rtems_error() have a fundamental problem in non-interactive environments. I would like to change this to _Internal_error_Occurred().

Attachments (1)

gxx_wrappers.patch (2.0 KB) - added by Sebastian Huber on Aug 16, 2010 at 6:26:06 AM.
Proposal.

Download all attachments as: .zip

Change History (4)

comment:1 Changed on Aug 12, 2010 at 10:39:48 AM by Joel Sherrill

Owner: changed from Joel Sherrill to Chris Johns

Changed on Aug 16, 2010 at 6:26:06 AM by Sebastian Huber

Attachment: gxx_wrappers.patch added

Proposal.

comment:2 Changed on Aug 23, 2010 at 7:33:49 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Fixed.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.